services:
    php:
        image: ghcr.io/sylius/sylius-php:8.2-alpine
    mysql:
        image: mysql:8.0
        platform: linux/amd64
        healthcheck:
            test: '/usr/bin/mysql --execute "SHOW databases;"'
            timeout: 3s
            interval: 1s
            retries: 10
        environment:
            MYSQL_ALLOW_EMPTY_PASSWORD: 1
        cap_add:
            - SYS_NICE # prevent "mbind: Operation not permitted" errors
    nginx:
        image: ghcr.io/sylius/sylius-nginx:latest
    mailhog:
        # do not use in production!
        image: mailhog/mailhog:latest

###> doctrine/doctrine-bundle ###
  database:
    image: postgres:${POSTGRES_VERSION:-16}-alpine
    environment:
      POSTGRES_DB: ${POSTGRES_DB:-app}
      # You should definitely change the password in production
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-!ChangeMe!}
      POSTGRES_USER: ${POSTGRES_USER:-app}
    volumes:
      - database_data:/var/lib/postgresql/data:rw
      # You may use a bind-mounted host directory instead, so that it is harder to accidentally remove the volume and lose all your data!
      # - ./docker/db/data:/var/lib/postgresql/data:rw
###< doctrine/doctrine-bundle ###

volumes:
###> doctrine/doctrine-bundle ###
  database_data:
###< doctrine/doctrine-bundle ###
